#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 cryptol
version:              2.12.0
visibility:           public
id:                   cryptol-2.12.0-Cr3wPksQPmqAVuUVBFjkmT
key:                  cryptol-2.12.0-Cr3wPksQPmqAVuUVBFjkmT
license:              BSD-3-Clause
copyright:            2013-2020 Galois Inc.
maintainer:           cryptol@galois.com
author:               Galois, Inc.
homepage:             http://www.cryptol.net/
synopsis:             Cryptol: The Language of Cryptography
description:
    Cryptol is a domain-specific language for specifying cryptographic algorithms. A Cryptol implementation of an algorithm resembles its mathematical specification more closely than an implementation in a general purpose language. For more, see <http://www.cryptol.net/>.

category:             Language
abi:                  0b1ff474861112210567cf0cb47f3715
exposed:              True
exposed-modules:
    Cryptol.AES Cryptol.Backend Cryptol.Backend.Arch
    Cryptol.Backend.Concrete Cryptol.Backend.FloatHelpers
    Cryptol.Backend.Monad Cryptol.Backend.SBV Cryptol.Backend.SeqMap
    Cryptol.Backend.What4 Cryptol.Backend.WordValue Cryptol.Eval
    Cryptol.Eval.Concrete Cryptol.Eval.Env Cryptol.Eval.Generic
    Cryptol.Eval.Prims Cryptol.Eval.Reference Cryptol.Eval.SBV
    Cryptol.Eval.Type Cryptol.Eval.Value Cryptol.Eval.What4 Cryptol.F2
    Cryptol.IR.FreeVars Cryptol.ModuleSystem Cryptol.ModuleSystem.Base
    Cryptol.ModuleSystem.Env Cryptol.ModuleSystem.Exports
    Cryptol.ModuleSystem.Fingerprint
    Cryptol.ModuleSystem.InstantiateModule
    Cryptol.ModuleSystem.Interface Cryptol.ModuleSystem.Monad
    Cryptol.ModuleSystem.Name Cryptol.ModuleSystem.NamingEnv
    Cryptol.ModuleSystem.Renamer Cryptol.ModuleSystem.Renamer.Error
    Cryptol.ModuleSystem.Renamer.Monad Cryptol.Parser
    Cryptol.Parser.AST Cryptol.Parser.Layout Cryptol.Parser.Lexer
    Cryptol.Parser.Name Cryptol.Parser.Names Cryptol.Parser.NoInclude
    Cryptol.Parser.NoPat Cryptol.Parser.Position
    Cryptol.Parser.Selector Cryptol.Parser.Token Cryptol.Parser.Unlit
    Cryptol.Parser.Utils Cryptol.PrimeEC Cryptol.REPL.Browse
    Cryptol.REPL.Command Cryptol.REPL.Monad Cryptol.REPL.Trie
    Cryptol.SHA Cryptol.Symbolic Cryptol.Symbolic.SBV
    Cryptol.Symbolic.What4 Cryptol.Testing.Random
    Cryptol.Transform.AddModParams Cryptol.Transform.MonoValues
    Cryptol.Transform.Specialize Cryptol.TypeCheck
    Cryptol.TypeCheck.AST Cryptol.TypeCheck.CheckModuleInstance
    Cryptol.TypeCheck.Default Cryptol.TypeCheck.Error
    Cryptol.TypeCheck.Infer Cryptol.TypeCheck.InferTypes
    Cryptol.TypeCheck.Instantiate Cryptol.TypeCheck.Interface
    Cryptol.TypeCheck.Kind Cryptol.TypeCheck.Monad Cryptol.TypeCheck.PP
    Cryptol.TypeCheck.Parseable Cryptol.TypeCheck.Sanity
    Cryptol.TypeCheck.SimpType Cryptol.TypeCheck.SimpleSolver
    Cryptol.TypeCheck.Solve Cryptol.TypeCheck.Solver.Class
    Cryptol.TypeCheck.Solver.Improve Cryptol.TypeCheck.Solver.InfNat
    Cryptol.TypeCheck.Solver.Numeric
    Cryptol.TypeCheck.Solver.Numeric.Fin
    Cryptol.TypeCheck.Solver.Numeric.Interval
    Cryptol.TypeCheck.Solver.SMT Cryptol.TypeCheck.Solver.Selector
    Cryptol.TypeCheck.Solver.Types Cryptol.TypeCheck.Solver.Utils
    Cryptol.TypeCheck.Subst Cryptol.TypeCheck.TCon
    Cryptol.TypeCheck.Type Cryptol.TypeCheck.TypeMap
    Cryptol.TypeCheck.TypeOf Cryptol.TypeCheck.TypePat
    Cryptol.TypeCheck.Unify Cryptol.Utils.Debug Cryptol.Utils.Fixity
    Cryptol.Utils.Ident Cryptol.Utils.Logger Cryptol.Utils.Misc
    Cryptol.Utils.PP Cryptol.Utils.Panic Cryptol.Utils.Patterns
    Cryptol.Utils.RecordMap Cryptol.Version

hidden-modules:
    Cryptol.Parser.LexerUtils Cryptol.Parser.ParserUtils
    Cryptol.Prelude Paths_cryptol GitRev

import-dirs:          /usr/lib/ghc-9.0.2/site-local/cryptol-2.12.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/cryptol-2.12.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/cryptol
hs-libraries:         HScryptol-2.12.0-Cr3wPksQPmqAVuUVBFjkmT
depends:
    GraphSCC-1.0.4-L501TucQ29l4TPS6ekdbOm
    MemoTrie-0.6.10-IdjyNAMrF1uvCZjHxIh38
    arithmoi-0.12.0.1-DzpATgfo0u5BkEwKxop16H array-0.5.4.0
    async-2.2.4-IyWEfdMvX6p3WNvmQSifvv base-4.15.1.0
    base-compat-0.12.1-Jgs1a6JPC25AMVxb7dCwve
    bv-sized-1.0.3-3QYAOmnc7QW8wDt3QRPT5l bytestring-0.10.12.1
    containers-0.6.4.1
    cryptohash-sha1-0.11.101.0-6tD2beGsfpy1cHAiE3wTzo deepseq-1.4.5.0
    directory-1.3.6.2 exceptions-0.10.4 filepath-1.4.2.1 ghc-bignum-1.1
    ghc-prim-0.7.0 gitrev-1.3.1-LXamAHaBXAU3gfIZnhHRD8
    heredoc-0.2.0.0-Vg50v7MniO6qfzQgR2euT
    libBF-0.6.3-L5k1lzPv7piHdIFpun2dE3
    monad-control-1.0.3.1-FV5bJIOFOVz5czQSBWQafK
    monadLib-3.10.1-A3o7k6g82F1K1bu0eunRsp mtl-2.2.2
    panic-0.4.0.1-50cFE36S2cXEAyB8eYvz5V
    parameterized-utils-2.1.5.0-J1NnfBQy92x5j3wWHini7
    prettyprinter-1.7.1-LfPF5KykNHjH468XBUA4Aa process-1.6.13.2
    sbv-8.17-GkjVo6VkZkhBNmI4xmVi5n
    simple-smt-0.9.7-1XK6mespUdTBUDu58fk4Rr stm-2.5.0.0
    strict-0.4.0.1-JkKlEzqxyBeIwjRKtTesCD text-1.2.5.0
    tf-random-0.5-FOEfHDUSrStB53GQBL4plx time-1.9.3
    transformers-base-0.4.6-5vP4s6ySMy2NfkIyOGtNC
    what4-1.2.1-Hgs7GsZCB6o4WPeQe6ffHT

haddock-interfaces:   /usr/share/doc/cryptol/html/cryptol.haddock
haddock-html:         /usr/share/doc/cryptol/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

